Attribute VB_Name = "dkmGrammar"
Const AssumedLang = -1 'for Check_Grammar

Sub CheckGrammar()
'    
'     
Dim Letter As MailItem, LetterStrings, str2check, Prefix As String, LetterBody As String
Dim Word As Word.Application
Set Letter = ActiveInspector.CurrentItem
Prefix = ""
Prefix = GetPrefix(Letter)
LetterStrings = Split(Letter.Body, vbCrLf)
LetterBody = ""
For Each str2check In LetterStrings
  str2check = Trim(str2check)
  If Not (Prefix <> "" And str2check <> "" And InStr(str2check, Trim(Prefix)) = 1) Then  'check this string
    If (Word Is Nothing) Then
      On Error Resume Next
      Set Word = New Word.Application
      On Error GoTo 0
    End If
    If Not (Word Is Nothing) Then
      str2check = Check_Grammar(str2check, Word) & vbCrLf
    Else
      Exit For
    End If
  End If
  LetterBody = LetterBody & str2check & vbCrLf
Next
If Not (Word Is Nothing) Then
  Letter.Body = LetterBody
  Word.Quit False
Else
  MsgBox "not Checked:" & vbCrLf & "no MS Word in Your system"
End If
Letter.Display
End Sub
Function Check_Grammar(ByVal text2check As String, MsWord As Word.Application) As String
Dim ChDoc As Word.document, TextAfterCheck As String
MsWord.Visible = True
Set ChDoc = MsWord.Documents.Add
ChDoc.Range.text = text2check
If AssumedLang < 0 Then
  ChDoc.DetectLanguage
Else
  ChDoc.Range.LanguageID = AssumedLang
End If 'AssumedLang
ChDoc.CheckGrammar
TextAfterCheck = MsWord.CleanString(ChDoc.Range.text)
ChDoc.Close False
Check_Grammar = TextAfterCheck
End Function

